EDIT - feature request #7429

Improve parsing and formatting for VerbatimTimePeriod
05/18/2018 10:08 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 1:30 hour
Target version: Release 5.2

Severity: normal

Description

In #6752 only very basic parsing and formatting functionality has been implemented for verbatimDate. Parsing supports "realdate ["
verbatimYear""

For parsing we may want to support further formats like

o varbatimDate publ-realdate
e verbatimDate [realdate] or the other way round, but this is very critical as it is unclear which data is the real date and which is
the verbatim date

Also we need parsing of verbatim date in NonViralName parser (maybe we should merge these 2 somehow). But be careful to
distinguish from original name parsing (a possible original name should not be recognized as a verbatim date).

Formatting:

¢ decision which format should be the default format => for now we take realdate ["verbatimDate"]
¢ Allow defining formats => this is a general issue for all format and will not be solved here

Related issues:
Follows EDIT - feature request #6752: Add verbatimDate Closed

Associated revisions

Revision a7e57e62 - 07/03/2018 12:23 PM - Andreas Miiller
ref #7530 3 families and dianthus import (WFO Access Import)

Revision 72bf1d96 - 07/30/2018 01:51 PM - Andreas Miiller

ref #7429 "verbatimDate" [realDate] format implemented for VerbatimTimePeriodParser

Revision 68f3553a - 07/30/2018 04:20 PM - Andreas Miiller

ref #7429 fixing test for verbatim time period parsing

Revision f8c23aa7 - 07/31/2018 12:17 PM - Andreas Miiller

fix #7429 improving verbatim time period parsing

Revision b59ec1a6 - 07/31/2018 01:00 PM - Andreas Miiller

ref #7429 fix date parsing in name parser test

Revision 8643e56e - 11/08/2018 10:19 AM - Andreas Miiller

ref #7429 fix order in "publ." parsing and implement for nom. ref. parser

History

#1 - 05/18/2018 10:10 AM - Andreas Miiller
- Follows feature request #6752: Add verbatimDate added
#2 - 05/25/2018 11:46 AM - Andreas Miiller
- Estimated time set to 1:30 h

#3 - 06/12/2018 10:35 PM - Andreas Miiller
- Priority changed from New to Highest

#4 - 06/27/2018 02:28 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#5 - 07/30/2018 01:53 PM - Andreas Miiller
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 20

#6 - 07/31/2018 12:19 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50

Applied in changeset cdmlib|f8c23aa7bed4470dc98635a7880dee45456979e0.

#7 - 08/01/2018 04:58 PM - Andreas Miiller
- Description updated

- % Done changed from 50 to 20

#8 - 08/01/2018 04:59 PM - Andreas Miiller
- % Done changed from 20 to 50

#9 - 08/10/2018 08:18 PM - Andreas Miiller
- Description updated

- Status changed from Resolved to Closed

#10 - 08/10/2018 08:19 PM - Andreas Miiller
- Description updated

- % Done changed from 50 to 100
